using JiShe.CollectBus;
using JiShe.CollectBus.FreeRedis;
using JiShe.CollectBus.FreeSql;
using JiShe.CollectBus.IoTDB;
using JiShe.CollectBus.Kafka;
using Volo.Abp.AspNetCore.Mvc;
using Volo.Abp.AuditLogging;
using Volo.Abp.BackgroundJobs;

namespace JiShe.CollectBusEPO
{
    [DependsOn(
        typeof(CollectBusDomainModule),
        typeof(CollectBusFreeRedisModule),
        typeof(CollectBusFreeSqlModule),
        typeof(CollectBusKafkaModule), 
        typeof(CollectBusIoTDbModule)
    )]
    public class CollectBusEPOApplicationModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            Configure<AbpAutoMapperOptions>(options => { options.AddMaps<CollectBusEPOApplicationModule>(); });

            Configure<AbpAspNetCoreMvcOptions>(options =>
            {
                options.ConventionalControllers.Create(typeof(CollectBusEPOApplicationModule).Assembly);
            });
        }
        
    }
}